version: '3'

services:
  nginx-proxy:
    image: jwilder/nginx-proxy
    ports:
    - "8008:80"
    volumes:
    - /var/run/docker.sock:/tmp/docker.sock:ro
    - ./vhost.d:/etc/nginx/vhost.d:ro

#  gateway:
#    image: httpd
#    environment:
#    - VIRTUAL_HOST=mocha.local

#  authgwy:
#    image: jwilder/whoami

  themes:
    image: jwilder/whoami
    volumes:
    - ../php/mocha/themes:/usr/local/apache2/htdocs/

  tenant:
    image: php:8.2-apache
#    environment:
#    - VIRTUAL_HOST=mocha.local
    volumes:
    - ../php/mocha/:/usr/local/apache2/htdocs/
    - ../apache2/conf/suv.conf:/usr/local/apache2/conf/httpd.conf
